machine:
  environment:
    TEST_NO_FUSE: 1
    TEST_VERBOSE: 1
    TRAVIS: 1
    CIRCLE: 1
  post:
    - sudo rm -rf /usr/local/go
    - if [ ! -e go1.5.linux-amd64.tar.gz ]; then curl -o go1.5.linux-amd64.tar.gz https://storage.googleapis.com/golang/go1.5.linux-amd64.tar.gz; fi
    - sudo tar -C /usr/local -xzf go1.5.linux-amd64.tar.gz
  services:
    - docker

dependencies:
  pre:
    # setup ipv6
    - sudo sysctl -w net.ipv6.conf.lo.disable_ipv6=0 net.ipv6.conf.default.disable_ipv6=0 net.ipv6.conf.all.disable_ipv6=0
  cache_directories:
    - ~/go1.5.linux-amd64.tar.gz

test:
  override:
    - make test_go_expensive
    - make test_sharness_expensive
